STRUCT TEMPLAT(3)

NAME
boost::numeric::functional::promote_base

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename To, typename From, typename EnableIf>
struct promote_base : public std::unary_function< From, To > {
  // public member functions
  To operator()(From &) const;
};

DESCRIPTION

  promote_base public member functions

    1.

    To operator()(From & from) const;